Subject: Re: [GIT] Networking

From: Kalle Valo <[email-masked]>
Date: Wed, 24 Oct 2018 10:30:09 +0300

+ linux-wireless, ath10k, niklas, jeff, andy, david

Linus Torvalds <[email-masked]> writes:

> On Wed, Oct 24, 2018 at 4:30 AM David Miller <[email-masked]> wrote:
>>
>>   git://git.kernel.org/pub/scm/linux/kernel/git/davem/net-next.git
>
> Hmm. Tentatively pulled, but there's something wrong with the Kconfig rules.
>
> Doing "make allmodconfig" (not even the build itself, just the config
> phase), I get
>
>   WARNING: unmet direct dependencies detected for QCOM_QMI_HELPERS
>     Depends on [n]: ARCH_QCOM && NET [=y]
>     Selected by [m]:
>     - ATH10K_SNOC [=m] && NETDEVICES [=y] && WLAN [=y] &&
> WLAN_VENDOR_ATH [=y] && ATH10K [=m] && (ARCH_QCOM || COMPILE_TEST
> [=y])
>
> because I'm obviously not building on ARCH_QCOM.
>
> I suspect that QCOM_QMI_HELPERS needs to have
>
>         depends on (ARCH_QCOM || COMPILE_TEST) && NET
>
> or similar. I'll see if this builds for me at all despite the Kconfig warning.

I had missed this warning, sorry about that. Jeff reported the same
problem while I was on vacation and according to Niklas[1] it should be
fixed by this commit in linux-next:

ccfb464cd106 ("soc: qcom: Allow COMPILE_TEST of qcom SoC Kconfigs")

I'm hoping you will get the commit during this merge window but not sure
about that and via which tree it would come. Adding Andy and David who
hopefully know more.

[1] http://lists.infradead.org/pipermail/ath10k/2018-October/012330.html

-- 
Kalle Valo